#ifndef DEVNAMES_H
#define DEVNAMES_H
#include "util.h"

typedef struct DiskList {
  char *name, *devfsname;
  unsigned major, minor;
  int is_scsi;
  int enable_hddtemp;
  int enable_power_status;
  int nr, nw, touched_r, touched_w;
  struct DiskList *next;
} DiskList;

const char *stripdev(const char *s);
DiskList *find_dev(unsigned major, unsigned minor);
DiskList *find_dev_by_name(const char *name);
DiskList *next_hd_in_list(DiskList *prev);
DiskList *first_hd_in_list();
int nb_hd_in_list();
int nb_dev_in_list();
int is_partition_name(const char *name);
void add_device(const char *devname);
void add_swap(const char *swapdev);
strlist *swap_list();
#endif
